Restore a Computer Agent backup
curl --request POST \
--url 'https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/restore?token=' \
--header 'Content-Type: application/json' \
--data '
{
"snapshotId": "<string>",
"delete": true
}
'import requests
url = "https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/restore?token="
payload = {
"snapshotId": "<string>",
"delete": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({snapshotId: '<string>', delete: true})
};
fetch('https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/restore?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Computer Agents
Restore a Computer Agent backup
Starts an asynchronous restore from a selected backup and returns a job for tracking its progress. Restoring replaces the Computer Agent’s current data. The Computer Agent is stopped and restarted automatically. Read the available backups first and poll the returned restore job until it finishes.
POST
/
api
/
v2
/
computer
/
accounts
/
{targetAccountId}
/
restore
Restore a Computer Agent backup
Authorizations
Vida API Token
Path Parameters
Body
application/json
Response
202
Restore was accepted
⌘I